Ubuntu Linux Passwd Potential特权提升漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1194252 漏洞类型 设计错误
发布时间 2006-07-05 更新时间 2006-10-13
CVE编号 CVE-2006-3378 CNNVD-ID CNNVD-200607-074
漏洞平台 N/A CVSS评分 7.2
|漏洞来源
https://www.securityfocus.com/bid/18850
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200607-074
|漏洞详情
Ubuntu5.04到6.06LTS中的shadow中的passwd命令在以-f,-g,或-s标记调用时,未检查setuid调用的返回代码,如果在PAM失败或资源限制等情况中setuid失败,可能会使本地用户获得根特权。
|受影响的产品
Ubuntu Ubuntu Linux 5.10 sparc Ubuntu Ubuntu Linux 5.10 powerpc Ubuntu Ubuntu Linux 5.10 i386 Ubuntu Ubuntu Linux 5.10 amd64 Ubuntu Ubuntu Linux 5.0 4 powerpc Ubuntu Ubuntu
|参考资料

来源:UBUNTU
名称:USN-308-1
链接:http://www.ubuntu.com/usn/usn-308-1
来源:BID
名称:18850
链接:http://www.securityfocus.com/bid/18850
来源:OSVDB
名称:26995
链接:http://www.osvdb.org/26995
来源:SECUNIA
名称:20966
链接:http://secunia.com/advisories/20966
来源:SECUNIA
名称:20950
链接:http://secunia.com/advisories/20950
来源:DEBIAN
名称:DSA-1150
链接:http://www.debian.org/security/2006/dsa-1150
来源:SECUNIA
名称:21480
链接:http://secunia.com/advisories/21480